fop 1.1

## org.apache.fop.fo.expr
Class MaxFunction

    java.lang.Object
      org.apache.fop.fo.expr.FunctionBase
          org.apache.fop.fo.expr.MaxFunction

All Implemented Interfaces:
  Function

    public class MaxFunction

extends FunctionBase

Class for managing the "max" Number Function. See Sec. 5.10.1 in the XSL-FO standard.

Constructor Summary
`MaxFunction()`

Method Summary
`Property` `eval(Property[] args, PropertyInfo pInfo)` Evaluate the function
`int` `getRequiredArgsCount()`

Methods inherited from class org.apache.fop.fo.expr.FunctionBase
`getOptionalArgDefault, getOptionalArgsCount, getPercentBase, getPropertyName, hasVariableArgs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxFunction

    public MaxFunction()

Method Detail

### getRequiredArgsCount

    public int getRequiredArgsCount()

  Returns:
    the number of required (non-optional) arguments that must be specified in the argument list

### eval

    public Property eval(Property[] args,
                         PropertyInfo pInfo)
                  throws PropertyException

  Evaluate the function

  Parameters:
    `args` - an array of Properties that should be evaluated
    `pInfo` - property information instance that applies to property being evaluated
  Returns:
    the Property satisfying the function
  Throws:
    `PropertyException` - for problems when evaluating the function

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.